# DescribePolicyDetail

## 1. 接口描述

本接口(DescribePolicyDetail)用于获取防护策略详情

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型     | 描述      |
| -------- | -- | ------ | ------- |
| policyId | 是  | String | 防护策略ID。 |

## 3. 响应结果

| 参数名称                | 类型                                                                                                                           | 描述                                                       |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId           | String                                                                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| policyId            | String                                                                                                                       | 防护策略的ID。                                                 |
| policyName          | String                                                                                                                       | 防护策略的名称。                                                 |
| attachmentIps       | Array of String                                                                                                              | 防护对象关联IP列表。                                              |
| createTime          | String                                                                                                                       | 创建时间。                                                    |
| blackIps            | Array of String                                                                                                              | 黑名单IP列表。                                                 |
| whiteIps            | Array of String                                                                                                              | 白名单IP列表。                                                 |
| blackIpListExpireAt | Integer                                                                                                                      | 黑名单超时时间。                                                 |
| blockProtocols      | Array of [Protocol](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#protocol)                       | <p>开启的封禁协议。</p><p>不能同时开启UDP和TCP。</p>                     |
| ports               | Array of [DdosPolicyPort](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#ddospolicyport)           | 端口封禁。                                                    |
| blockRegions        | Array of String                                                                                                              | 封禁的区域。                                                   |
| reflectUdpPort      | Array of [DdosReflectUdpPort](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#ddosreflectudpport)   | 反射攻击防护过滤的端口列表。                                           |
| trafficControl      | [DdosTrafficControl](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#ddostrafficcontrol)            | 源限速配置。                                                   |
| fingerPrintRules    | Array of [DdosFingerprintRule](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#ddosfingerprintrule) | 指纹过滤相关配置。                                                |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取防护策略详情**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePolicyDetail
<Common Request Params>

Request：
{
    "policyId": "<policyId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "policy": "policyId",
    "policyName": "xxx",
    "attachmentIps": ["10.0.0.1","10.0.0.2"],
    "createTime": "2025-07-16T01:26:39Z",
    "blackIps": ["10.0.0.1"],
    "whiteIps": ["10.0.0.1"],
    "blackIpListExpireAt": 10,
    "blockProtocols": ["TCP","UDP"],
    "ports": [
      {
        "protocol": "TCP",
        "srcPortStart": 1,
        "srcPortEnd": 100,
        "dstPortStart": 1,
        "dstPortEnd": 100,
        "action": "Accept"
      }
    ],
    "blockRegions": ["AFG"],
    "reflectUdpPort": [
      {
        "port": 10
      }
    ],
    "trafficControl": {
      "bpsEnabled": false,
      "bps": null,
      "ppsEnabled": false,
      "pps": null,
      "synBPSEnabled": false,
      "synBPS": null,
      "synPPSEnabled": false,
      "synPPS": null
    },
    "fingerPrintRules": [
      {
        "protocol": "TCP",
        "srcPortStart": 1,
        "srcPortEnd": 100,
        "dstPortStart": 1,
        "dstPortEnd": 100,
        "minPktLength": 1,
        "maxPktLength": 100,
        "offset": 1,
        "matchBytes": "xxx",
        "action": "Accept"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                               | 说明         |
| ------- | --------------------------------- | ---------- |
| 404     | INVALID\_DDOS\_POLICY\_NOT\_FOUND | DDoS策略不存在。 |
